> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# removeTimeTrackingPolicyAssignments

> The `removeTimeTrackingPolicyAssignments` API bulk deactivates active policy assignments.

### What it does:
- Removes the employee's active assignment.
- Deactivates related active time tracking records tied to that assignment.

### Notes:
- Employees can be re-added later by creating a new assignment while the company has an active policy.



## OpenAPI

````yaml post /adminPortal/removeTimeTrackingPolicyAssignments
openapi: 3.1.0
info:
  title: Default module
  description: |
    Webhook events emitted when a company's KYB status is created or changes.

    Rollfi sends these requests to the webhook URL configured for the client.
    Consumers should return a successful 2xx response after accepting the event.
  version: 1.0.0
servers: []
security: []
tags:
  - name: Admin Portal
  - name: TimeOff Admin
  - name: TimeTracking Admin
  - name: TimeOff User
  - name: TimeTracking User
  - name: TimeTracking Reports
  - name: TimeOff Reports
  - name: Pay Schedule Webhooks
  - name: Pay Period Webhooks
  - name: Employee Bank Account Webhooks
  - name: Employee KYC Webhooks
  - name: Company Bank Account Webhooks
  - name: Company Webhooks
  - name: Employee Status Webhooks
paths:
  /adminPortal/removeTimeTrackingPolicyAssignments:
    post:
      tags:
        - TimeTracking Admin
      summary: removeTimeTrackingPolicyAssignments
      description: >-
        The `removeTimeTrackingPolicyAssignments` API bulk deactivates active
        policy assignments.


        ### What it does:

        - Removes the employee's active assignment.

        - Deactivates related active time tracking records tied to that
        assignment.


        ### Notes:

        - Employees can be re-added later by creating a new assignment while the
        company has an active policy.
      operationId: removeTimeTrackingPolicyAssignments
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                timeTrackingPolicyId:
                  type: string
                userIds:
                  type: array
                  items:
                    type: string
              required:
                - method
                - companyId
                - timeTrackingPolicyId
                - userIds
            example:
              method: removeTimeTrackingPolicyAssignments
              companyId: 5221FFCF-E84B-4690-B7DC-DE29D549096B
              timeTrackingPolicyId: 45C67A2B-4D64-47D2-B473-B7B5FD1CB80E
              userIds:
                - F64EFF29-6516-4C1E-B14D-82F00B7EADF9
      responses:
        '200':
          description: Assignments updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  assignments:
                    type: array
                    items:
                      type: object
                      properties:
                        userId:
                          type: string
                        success:
                          type: boolean
                        message:
                          type: string
                required:
                  - assignments
              example:
                assignments:
                  - userId: F64EFF29-6516-4C1E-B14D-82F00B7EADF9
                    success: true
                    message: Assignment deactivated successfully.
          headers: {}
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                assignments:
                  - userId: F64EFF29-6516-4C1E-B14D-82F00B7EADF9
                    success: false
                    error:
                      code: 404
                      message: No active assignment found for this employee.
                  - userId: BCC67A2B-4D64-47D2-B473-B7B5FD1CB80E
                    success: false
                    error:
                      code: 404
                      message: No active assignment found for this employee.
          headers: {}
      deprecated: false
      security: []

````